Groovy 1.7.0

## org.codehaus.groovy.ast.expr
Class FieldExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.FieldExpression

    class FieldExpression
    extends Expression

Represents a field access such as the expression "this.foo".

author:
  James Strachan

version:
  $Revision: 16296 $

Constructor Summary
`FieldExpression(FieldNode field)`

Method Summary
`FieldNode` | `getField()`
`String` | `getFieldName()`
`String` | `getText()`
`ClassNode` | `getType()`
`boolean` | `isDynamicTyped()`
`boolean` | `isUseReferenceDirectly()`
`void` | `setType(ClassNode type)`
`void` | `setUseReferenceDirectly(boolean useRef)`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### FieldExpression

    public FieldExpression(FieldNode field)

Method Detail

### getField

    public FieldNode getField()

### getFieldName

    public String getFieldName()

### getText

    public String getText()

### getType

    public ClassNode getType()

### isDynamicTyped

    public boolean isDynamicTyped()

### isUseReferenceDirectly

    public boolean isUseReferenceDirectly()

### setType

    public void setType(ClassNode type)

### setUseReferenceDirectly

    public void setUseReferenceDirectly(boolean useRef)

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.